Overview | Package | Class | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.exist.storage.dom
Class DOMTransaction

    java.lang.Object
      org.exist.storage.dom.DOMTransaction

public abstract class DOMTransaction
extends java.lang.Object

DOMTransaction controls access to the DOM file This implements a wrapper around the code passed in method start(). The class acquires a lock on the file, enters the locked code block and calls start.

Author:
  wolf

Constructor Summary
`DOMTransaction(java.lang.Object owner, DOMFile f)`
`DOMTransaction(java.lang.Object owner, DOMFile f, int mode)`
`DOMTransaction(java.lang.Object owner, DOMFile f, int mode, DocumentImpl doc)`

Method Summary
`java.lang.Object` | `run()`
`abstract java.lang.Object` | `start()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DOMTransaction

    public DOMTransaction(java.lang.Object owner,
                          DOMFile f)

### DOMTransaction

    public DOMTransaction(java.lang.Object owner,
                          DOMFile f,
                          int mode)

### DOMTransaction

    public DOMTransaction(java.lang.Object owner,
                          DOMFile f,
                          int mode,
                          DocumentImpl doc)

Method Detail

### start

    public abstract java.lang.Object start()
                                    throws ReadOnlyException

  Throws:
    `ReadOnlyException`

### run

    public java.lang.Object run()

Overview | Package | Class | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) Wolfgang Meier. All rights reserved.